Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface GlobalTxEntityMap.TxAssociation

Enclosing interface:
  GlobalTxEntityMap

public static interface GlobalTxEntityMap.TxAssociation

An instance can be in one of the three states:

- not associated with the tx and, hence, does not need to be synchronized
- associated with the tx and needs to be synchronized
- associated with the tx but does not need to be synchronized

Implementations of TxAssociation implement these states.

Method Summary
`void` | `invokeEjbStore(Thread thread, EntityEnterpriseContext instance)` Invokes ejbStore if needed
`void` | `scheduleSync(Transaction tx, EntityEnterpriseContext instance)` Schedules the instance for synchronization.
`void` | `synchronize(Thread thread, Transaction tx, EntityEnterpriseContext instance)` Synchronizes the instance if it is needed.

Method Detail

### scheduleSync

    public void scheduleSync(Transaction tx,
                             EntityEnterpriseContext instance)
                      throws SystemException,
                             RollbackException

  Schedules the instance for synchronization. The instance might or might not be associated with the tx.

  Parameters:
    `tx` - the transaction the instance should be associated with if not yet associated
    `instance` - the instance to be scheduled for synchronization
  Throws:
    `SystemException`
    `RollbackException`

### synchronize

    public void synchronize(Thread thread,
                            Transaction tx,
                            EntityEnterpriseContext instance)
                     throws Exception

  Synchronizes the instance if it is needed.

  Parameters:
    `thread` - current thread
    `tx` - current transaction
    `instance` - the instance to be synchronized
  Throws:
    `Exception` - thrown if synchronization failed

### invokeEjbStore

    public void invokeEjbStore(Thread thread,
                               EntityEnterpriseContext instance)
                        throws Exception

  Invokes ejbStore if needed

  Parameters:
    `thread` - current thread
    `instance` - the instance to be synchronized
  Throws:
    `Exception` - thrown if synchronization failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.